%global srcname el-ri

Name:           jakarta-el
Version:        4.0.0
Release:        %mkrel 4
Group:          Development/Java
Summary:        Jakarta Expression Language
License:        EPL-2.0 or GPLv2 with exceptions

URL:            https://github.com/eclipse-ee4j/el-ri
Source0:        %{url}/archive/%{version}-RELEASE/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

# package renamed in fedora 33, remove in fedora 35
Provides:       glassfish-el = %{version}-%{release}
Obsoletes:      glassfish-el < 3.0.1-1

%description
Jakarta Expression Language provides a specification document, API,
reference implementation and TCK that describes an expression language
for Java applications.

This package contains the implementation.


%package api
Summary:        Jakarta Expression Language API

# package renamed in fedora 33, remove in fedora 35
Provides:       glassfish-el-api = %{version}-%{release}
Obsoletes:      glassfish-el-api < 3.0.1-1

%description api
Jakarta Expression Language provides a specification document, API,
reference implementation and TCK that describes an expression language
for Java applications.

This package contains only the API.


%package javadoc
Summary:        Javadoc for %{name}

# package renamed in fedora 33, remove in fedora 35
Provides:       glassfish-el-javadoc = %{version}-%{release}
Obsoletes:      glassfish-el-javadoc < 3.0.1-1

%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q -n %{srcname}-%{version}-RELEASE

# remove unnecessary dependency on parent POM
%pom_remove_parent . api impl

# do not build specification documentation
%pom_disable_module spec

# provide javax.el packages in addition to jakarta.el to ease transition
cp -pr api/src/main/java/jakarta api/src/main/java/javax
sed -i -e 's/jakarta\./javax./g' $(find api/src/main/java/javax -name *.java)
%pom_xpath_replace pom:instructions/pom:Export-Package \
  '<Export-Package>jakarta.el,javax.el;version="3.0.0"</Export-Package>' api

# do not install useless parent POM
%mvn_package jakarta.el:el-parent __noinstall

# remove maven plugins unnecessary for RPM builds
%pom_remove_plugin -r :maven-enforcer-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-source-plugin

# add maven artifact coordinate aliases for backwards compatibility
%mvn_alias org.glassfish:jakarta.el org.glassfish:javax.el
%mvn_alias jakarta.el:jakarta.el-api javax.el:javax.el-api javax.el:el-api

# add compat symlinks for packages constructing the classpath manually
%mvn_file :jakarta.el     %{name}/jakarta.el     glassfish-el
%mvn_file :jakarta.el-api %{name}/jakarta.el-api glassfish-el-api


%build
%mvn_build -s


%install
%mvn_install


%files -f .mfiles-jakarta.el
%license LICENSE.md NOTICE.md
%doc README.md

%files api -f .mfiles-jakarta.el-api
%license LICENSE.md NOTICE.md
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md NOTICE.md




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.0.0-4.mga10
+ Revision: 2223399
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 4.0.0-3.mga10
+ Revision: 2066946
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 4.0.0-2.mga9
+ Revision: 1827555
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1621673
- Update to 4.0.0
- Add a missing maven artifact coordinate alias
- renamed to jakarta-el

* Fri Feb 14 2020 umeabot <umeabot> 3.0.1-0.3.b08.4.mga8
+ Revision: 1519801
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 daviddavid <daviddavid> 3.0.1-0.3.b08.3.mga7
+ Revision: 1322863
- obsolete properly old glassfish-el-api

* Tue Sep 18 2018 umeabot <umeabot> 3.0.1-0.3.b08.2.mga7
+ Revision: 1261201
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 3.0.1-0.3.b08.1.mga6
+ Revision: 1100821
- New version 3.0.1-b08

* Wed Mar 02 2016 neoclust <neoclust> 3.0.0-7.mga6
+ Revision: 982564
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.0-6.mga6
+ Revision: 976245
- First rebuild of the java stack
- sync package glassfish-el with fedora
- imported package glassfish-el

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-4.mga5
+ Revision: 741496
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 3.0.0-2.mga5
+ Revision: 630578
- New version

* Sat Oct 19 2013 umeabot <umeabot> 2.2.5-3.mga4
+ Revision: 535819
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 2.2.5-2.mga4
+ Revision: 482650
- Rebuild against new javapackages

* Sat Jul 13 2013 dmorgan <dmorgan> 2.2.5-1.mga4
+ Revision: 453750
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.2-2.mga3
+ Revision: 351697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 06 2011 dmorgan <dmorgan> 2.2-1.mga2
+ Revision: 132012
- Clean spec file
+ gil <gil>
- imported package glassfish-el

